Bug 1726823 - insights-client --display-name returns 404 when routed through satellite
Summary: insights-client --display-name returns 404 when routed through satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.5.2
Assignee: Rex White
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-03 20:03 UTC by Mike McCune
Modified: 2019-10-30 17:02 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-redhat_access-2.2.6-1.el7sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1708295
Environment:
Last Closed: 2019-08-06 14:37:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github redhataccess foreman-plugin pull 37 0 None None None 2019-07-03 20:03:41 UTC
Github redhataccess foreman-plugin pull 41 0 None None None 2019-07-03 20:03:41 UTC
Red Hat Knowledge Base (Solution) 4188311 0 Troubleshoot None [Satellite6] Changing display name using insights-client returns 404 if managed by Satellite6 2019-07-03 20:03:41 UTC
Red Hat Product Errata RHBA-2019:2363 0 None None None 2019-08-06 14:37:43 UTC

Comment 3 Radovan Drazny 2019-07-24 11:57:27 UTC
Verified on the Sat 6.5.2 Snap.

$ insights-client --register
You successfully registered 88aa0d7c-eb30-4620-ba0f-1857a6cb8559 to account 5779551.
Successfully registered host rhel7-client.example.com
Automatic scheduling for Insights has been enabled.
Starting to collect Insights data for rhel7-client.example.com
Uploading Insights data.
Successfully uploaded report from rhel7-client.example.com to account 5779551.
$ insights-client --status
System is registered locally via .registered file. Registered at 2019-07-24T13:49:46.177407
Insights API confirms registration.
$ insights-client --display-name="WhatWasTheBugAgain?"
System display name changed from None to WhatWasTheBugAgain?

The new name is correctly displayed on the Insights Inventory page.

VERIFIED

Comment 5 errata-xmlrpc 2019-08-06 14:37:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2363


Note You need to log in before you can comment on or make changes to this bug.